using System;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace CSSamples.Samples
{
    public partial class DisplayASimpleMap : System.Web.UI.Page
    {
        private string MapRestrictExtent;
        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.CurrentExtent = new RectangleShape(-180, 90, 180, -90);
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                WorldMapKitWmsWebOverlay worldMapKitOverlay = new WorldMapKitWmsWebOverlay();
                Map1.CustomOverlays.Add(worldMapKitOverlay);

                //(-125, 72, 50, -46)=>(minX,maxY,maxX,minY)
                String restrictedExtentVal = "-125, 72, 50, -46";
                SetRestrictedExtent(restrictedExtentVal);
            }
        }

        /// /// Represents the method to Set the restricted Extent for the map/// 
        private void SetRestrictedExtent(string restrictedExtent)
        {

            if (MapRestrictExtent == null || MapRestrictExtent == string.Empty)
            {
                MapRestrictExtent = restrictedExtent;
            }
            string[] restExtent = MapRestrictExtent.Split(',');
            double rectMinX = Convert.ToDouble(restExtent[0]);
            double rectMaxY = Convert.ToDouble(restExtent[1]);
            double rectMaxX = Convert.ToDouble(restExtent[2]);
            double rectMinY = Convert.ToDouble(restExtent[3]);
            Map1.RestrictedExtent = new RectangleShape(rectMinX, rectMaxY, rectMaxX, rectMinY);
        }
    }
}
